package com.chenyang.nse.bussiness.entity.orm.table.console.engine;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CONSOLE_ENGINE_PROPERTYVALUE"
)
public class TConsoleEnginePropertyvalue extends TBaseEntity {
   private String enginepropertyid;
   private String propertyvalue;
   private String engineid;

   public TConsoleEnginePropertyvalue() {
   }

   public TConsoleEnginePropertyvalue(String enginepropertyid, String propertyvalue, String engineid) {
      this.enginepropertyid = enginepropertyid;
      this.propertyvalue = propertyvalue;
      this.engineid = engineid;
   }

   public String getEnginepropertyid() {
      return this.enginepropertyid;
   }

   public void setEnginepropertyid(String enginepropertyid) {
      this.enginepropertyid = enginepropertyid;
   }

   public String getPropertyvalue() {
      return this.propertyvalue;
   }

   public void setPropertyvalue(String propertyvalue) {
      this.propertyvalue = propertyvalue;
   }

   public String getEngineid() {
      return this.engineid;
   }

   public void setEngineid(String engineid) {
      this.engineid = engineid;
   }

   public String toString() {
      return "TConsoleEnginePropertyvalue [enginepropertyid=" + this.enginepropertyid + ", propertyvalue=" + this.propertyvalue + ", engineid=" + this.engineid + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.engineid == null ? 0 : this.engineid.hashCode());
      result = 31 * result + (this.enginepropertyid == null ? 0 : this.enginepropertyid.hashCode());
      result = 31 * result + (this.propertyvalue == null ? 0 : this.propertyvalue.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TConsoleEnginePropertyvalue other = (TConsoleEnginePropertyvalue)obj;
         if (this.engineid == null) {
            if (other.engineid != null) {
               return false;
            }
         } else if (!this.engineid.equals(other.engineid)) {
            return false;
         }

         if (this.enginepropertyid == null) {
            if (other.enginepropertyid != null) {
               return false;
            }
         } else if (!this.enginepropertyid.equals(other.enginepropertyid)) {
            return false;
         }

         if (this.propertyvalue == null) {
            if (other.propertyvalue != null) {
               return false;
            }
         } else if (!this.propertyvalue.equals(other.propertyvalue)) {
            return false;
         }

         return true;
      }
   }
}
